package com.ssyf.common.security.config;

import java.util.List;
import java.util.Map;

/**
 * 路由认证配置
 * @author huwei
 * @date 2023/11/5 14:27
 */
public interface RequestConfig {

    /**
     * 包含
     * @return
     */
    default List<String> math(){
        return null;
    }

    /**
     * 排除
     * @return
     */
    default List<String> notMath(){
        return null;
    }

    /**
     * 返回请求头
     * @return
     */
    default Map<String ,String> responseHeader(){
        return null;
    }

}
